Subject: Re: I need a `git format-patch --attach-complete' for RT

From: Paolo Bonzini <[email-masked]>
Date: Thu, 29 Apr 2010 09:25:25 +0200

On 04/21/2010 02:22 PM, Ævar Arnfjörð Bjarmason wrote:
> I'm working with a system that doesn't play nice with git-format-patch
> / git-send-email. When you send mail to RT (e.g. http://rt.perl.org/)
> it'll always munge the original E-Mail, so inline patches won't
> work. [...]It would be nicer if I could instead:
>
>      git format-patch --attach-complete origin..
>      git send-email *.patch

This is a bit underspecified.  What should the subject be?  Do you want 
to have something like --cover-letter but placing the messages after 
00/NN in an attachment?

It seems easiest to write a small filter in Perl, but it could be added 
as an option to git-format-patch, maybe something like 
--cover-letter=attach-all.

Paolo